<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shanghaichengdi.ghjgitem.mapper.BusinessSupervisionRecordMapper">

    <resultMap id="BaseResultMap" type="com.shanghaichengdi.ghjgitem.domain.BusinessSupervisionRecord">
            <result property="supervisionnumber" column="SUPERVISIONNUMBER" jdbcType="VARCHAR"/>
            <result property="address" column="ADDRESS" jdbcType="VARCHAR"/>
            <result property="mapx" column="MAPX" jdbcType="VARCHAR"/>
            <result property="mapy" column="MAPY" jdbcType="VARCHAR"/>
            <result property="checkdate" column="CHECKDATE" jdbcType="TIMESTAMP"/>
            <result property="checkstarttime" column="CHECKSTARTTIME" jdbcType="VARCHAR"/>
            <result property="checkendtime" column="CHECKENDTIME" jdbcType="VARCHAR"/>
            <result property="basicinfo" column="BASICINFO" jdbcType="VARCHAR"/>
            <result property="advice" column="ADVICE" jdbcType="VARCHAR"/>
            <result property="isfollowup" column="ISFOLLOWUP" jdbcType="DECIMAL"/>
            <result property="followuptype" column="FOLLOWUPTYPE" jdbcType="VARCHAR"/>
            <result property="reformdate" column="REFORMDATE" jdbcType="TIMESTAMP"/>
            <result property="offereesignature" column="OFFEREESIGNATURE" jdbcType="VARCHAR"/>
            <result property="email" column="EMAIL" jdbcType="VARCHAR"/>
            <result property="checkstaff" column="CHECKSTAFF" jdbcType="VARCHAR"/>
            <result property="closedate" column="CLOSEDATE" jdbcType="TIMESTAMP"/>
            <result property="issend" column="ISSEND" jdbcType="DECIMAL"/>
            <result property="iscommit" column="ISCOMMIT" jdbcType="DECIMAL"/>
            <result property="createtime" column="CREATETIME" jdbcType="TIMESTAMP"/>
            <result property="createstaff" column="CREATESTAFF" jdbcType="VARCHAR"/>
            <result property="updatetime" column="UPDATETIME" jdbcType="TIMESTAMP"/>
            <result property="updatestaff" column="UPDATESTAFF" jdbcType="VARCHAR"/>
            <result property="deleteflag" column="DELETEFLAG" jdbcType="DECIMAL"/>
            <result property="filepath" column="FILEPATH" jdbcType="VARCHAR"/>
            <result property="checkcontacts" column="CHECKCONTACTS" jdbcType="VARCHAR"/>
            <result property="supervisioncode" column="SUPERVISIONCODE" jdbcType="VARCHAR"/>
            <result property="code" column="CODE" jdbcType="VARCHAR"/>
            <result property="checksimg1" column="CHECKSIMG1" jdbcType="VARCHAR"/>
            <result property="checksimg2" column="CHECKSIMG2" jdbcType="VARCHAR"/>
            <result property="offereeimg" column="OFFEREEIMG" jdbcType="VARCHAR"/>
            <result property="istracking" column="ISTRACKING" jdbcType="VARCHAR"/>
            <result property="otherStaff" column="OTHER_STAFF" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        SUPERVISIONNUMBER,ADDRESS,MAPX,
        MAPY,CHECKDATE,CHECKSTARTTIME,
        CHECKENDTIME,BASICINFO,ADVICE,
        ISFOLLOWUP,FOLLOWUPTYPE,REFORMDATE,
        OFFEREESIGNATURE,EMAIL,CHECKSTAFF,
        CLOSEDATE,ISSEND,ISCOMMIT,
        CREATETIME,CREATESTAFF,UPDATETIME,
        UPDATESTAFF,DELETEFLAG,FILEPATH,
        CHECKCONTACTS,SUPERVISIONCODE,CODE,
        CHECKSIMG1,CHECKSIMG2,OFFEREEIMG,
        ISTRACKING,OTHER_STAFF
    </sql>
</mapper>
